package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "GoblinStoreMarketPurchaseRelationVo", description = "商铺活动-限时秒杀配置-商品下的款式")
@Data
public class GoblinStoreMarketPurchaseRelationVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 2353354057235207502L;
    @ApiModelProperty(position = 11, value = "spuId")
    private String spuId;
    @ApiModelProperty(position = 12, value = "skuId 集合")
    private List<String> skuList;

    private static final GoblinStoreMarketPurchaseRelationVo obj = new GoblinStoreMarketPurchaseRelationVo();

    public static GoblinStoreMarketPurchaseRelationVo getNew() {
        try {
            return (GoblinStoreMarketPurchaseRelationVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreMarketPurchaseRelationVo();
        }
    }
}
